# Class CADBQItemMetadataRemove

java.lang.Object
com.io7m.cardant.database.postgres.internal.CADBQItemMetadataRemove

All Implemented Interfaces:
  `CADatabaseQueriesItemsType, CADatabaseQueriesItemsType.ItemMetadataRemoveType, CADatabaseQueriesType, CADatabaseQueryType<CADatabaseQueriesItemsType.ItemMetadataRemoveType.Parameters, CADatabaseUnit>`

public final class CADBQItemMetadataRemove extends Object implements CADatabaseQueriesItemsType.ItemMetadataRemoveType
Remove metadata from an item.

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from interface CADatabaseQueriesItemsType

  `CADatabaseQueriesItemsType.ItemAttachmentAddType, CADatabaseQueriesItemsType.ItemAttachmentRemoveType, CADatabaseQueriesItemsType.ItemCreateType, CADatabaseQueriesItemsType.ItemDeleteMarkOnlyType, CADatabaseQueriesItemsType.ItemDeleteType, CADatabaseQueriesItemsType.ItemGetType, CADatabaseQueriesItemsType.ItemMetadataPutType, CADatabaseQueriesItemsType.ItemMetadataRemoveType, CADatabaseQueriesItemsType.ItemSearchType, CADatabaseQueriesItemsType.ItemSetNameType, CADatabaseQueriesItemsType.ItemTypesAssignType, CADatabaseQueriesItemsType.ItemTypesRevokeType`

  ### Nested classes/interfaces inherited from interface CADatabaseQueriesItemsType.ItemMetadataRemoveType

  `CADatabaseQueriesItemsType.ItemMetadataRemoveType.Parameters`

- ## Field Summary

  ### Fields inherited from interface CADatabaseQueriesType

  `EARLIEST`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CADBQItemMetadataRemove(com.io7m.cardant.database.postgres.internal.CADatabaseTransaction transaction)`
  Construct a query.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected final Map<String,String>`
  `attributes()`
  `final CADatabaseUnit`
  `execute(CADatabaseQueriesItemsType.ItemMetadataRemoveType.Parameters parameters)`
  Execute the query.
  `protected CADatabaseLanguage`
  `language()`
  `protected final String`
  `local(CAStringConstantType constant)`
  `protected final CAStrings`
  `messages()`
  `protected final OffsetDateTime`
  `now()`
  `protected CADatabaseUnit`
  `onExecute(org.jooq.DSLContext context, CADatabaseQueriesItemsType.ItemMetadataRemoveType.Parameters parameters)`
  `static CADBQueryProviderType`
  `provider()`
  `protected final void`
  `setAttribute(CAStringConstantType name, String value)`
  `protected final com.io7m.cardant.database.postgres.internal.CADatabaseTransaction`
  `transaction()`
  `protected final io.opentelemetry.api.trace.Span`
  `transactionSpan()`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface CADatabaseQueryType

  `execute`

- ## Constructor Details

  - ### CADBQItemMetadataRemove

    public CADBQItemMetadataRemove(com.io7m.cardant.database.postgres.internal.CADatabaseTransaction transaction)
    Construct a query.
    Parameters:
      `transaction` - The transaction

- ## Method Details

  - ### provider

    public static CADBQueryProviderType provider()
    Returns:
      A query provider

  - ### onExecute

    protected CADatabaseUnit onExecute(org.jooq.DSLContext context, CADatabaseQueriesItemsType.ItemMetadataRemoveType.Parameters parameters) throws CADatabaseException
    Throws:
      `CADatabaseException`

  - ### transactionSpan

    protected final io.opentelemetry.api.trace.Span transactionSpan()

  - ### transaction

    protected final com.io7m.cardant.database.postgres.internal.CADatabaseTransaction transaction()

  - ### messages

    protected final CAStrings messages()

  - ### local

    protected final String local(CAStringConstantType constant)

  - ### setAttribute

    protected final void setAttribute(CAStringConstantType name, String value)

  - ### execute

    public final CADatabaseUnit execute(CADatabaseQueriesItemsType.ItemMetadataRemoveType.Parameters parameters) throws CADatabaseException
    Description copied from interface: `CADatabaseQueryType`
    Execute the query.
    Specified by:
      `execute` in interface `CADatabaseQueryType<P,R>`
    Parameters:
      `parameters` - The parameters
    Returns:
      The results
    Throws:
      `CADatabaseException` - On errors

  - ### attributes

    protected final Map<String,String> attributes()

  - ### language

    protected CADatabaseLanguage language()

  - ### now

    protected final OffsetDateTime now()